Subject: Re: bug#67325: shorthands: Incorrect autoloaded register-definition-prefixes

From: João Távora <[email-masked]>
Date: Sun, 26 Nov 2023 14:14:28 +0000

On Sat, Nov 25, 2023 at 12:44 PM João Távora <[email-masked]> wrote:

> Hmmm. The two bugs are not related anymore than two Emacs bugs are related. That bug has a (very decent IMO) workaround. If you want something to be done there additionally, request it there
>
> > I don't know if these two bugs will have related solutions.
>
> I don't think so.

Earlier I said that 'autoload-compute-prefixes' was completely
undocumented.  I was wrong, it is documented in loading.texi
and perfectly defined in loaddefs-gen.el.  No idea why
I didn't notice.

It even has a sane local safety specification, but that safety
specification is not pre-loaded, so opening files
with 'autoload-compute-prefixes' local variables has
the unfortunate effect of prompting the user sometimes.

I think this should be fixed maybe somewhere in the
prompting logic.  Even describing the variable will cause
loaddefs-gen.el to be loaded the file and thus the safety
specification.

Another option is to store just safety specification
for this variable somewhere else, so that it is preloaded.

Eli, any comments about the above ideas?

João